<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Notaufnahmeregister (2.16.840.1.113883.2.6.60.3.4.48 2024-02-10T11:37:39)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="urn:hl7-org:pharm" prefix="pharmhl7"/>
   <!-- Include realm specific schematron -->
   <!-- Include scenario label -->
   <let name="scenariolabel" value="'nar2025'"/>
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario nar2025 -->

   <!-- episodenzusammenfassung-notaufnahmeregister -->
   <pattern>
      <title>episodenzusammenfassung-notaufnahmeregister</title>
      <rule fpi="RUL-EXPEL" context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.2']]"
                 see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.2-2024-03-21T000000.html">(episodenzusammenfassung-notaufnahmeregister): Instance is expected to have the following element: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.2']]</assert>
      </rule>
   </pattern>
   <include href="include/1.2.276.0.76.3.1.195.10.2-2024-03-21T000000.sch"/>
   <include href="include/1.2.276.0.76.3.1.195.10.2-2024-03-21T000000-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-1.2.276.0.76.3.1.195.10.2-2024-03-21T000000"/>
      <active pattern="template-1.2.276.0.76.10.3046-2015-01-10T000000"/>
      <active pattern="template-1.2.276.0.76.10.4038-2015-09-18T000000"/>
      <active pattern="template-1.2.276.0.76.10.4039-2015-03-03T000000"/>
      <active pattern="template-1.2.276.0.76.10.4040-2015-09-18T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.12-2024-08-13T125659"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.16-2024-08-13T132558"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.18-2024-08-13T141750"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.19-2024-08-13T143845"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.20-2024-08-13T143845"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.21-2024-08-13T105015"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.26-2024-08-13T105015"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.29-2024-08-13T183755"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.30-2024-08-13T183755"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.35-2024-08-14T101356"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.38-2024-08-14T101356"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.40-2024-08-14T101356"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.47-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.48-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.49-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.50-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.56-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.57-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.58-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.59-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.61-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.65-2024-08-14T180814"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.66-2024-08-14T181444"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.67-2023-12-03T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.70-2024-08-15T101850"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.72-2024-08-15T110724"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.76-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.77-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.8-2024-08-13T105015"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.80-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.82-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.84-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.85-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.86-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.87-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.88-2024-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.9-2024-08-13T113044"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030"/>
      <active pattern="template-1.2.276.0.76.3.1.195.10.91-2024-05-24T000000"/>
      <active pattern="template-2.16.840.1.113883.10.21.4.6-2023-01-30T093600"/>
   </phase>
   <phase id="episodenzusammenfassung-notaufnahmeregister">
      <active pattern="template-1.2.276.0.76.3.1.195.10.2-2024-03-21T000000"/>
   </phase>
   <phase id="episodenzusammenfassung-notaufnahmeregister-closed">
      <active pattern="template-1.2.276.0.76.3.1.195.10.2-2024-03-21T000000-closed"/>
   </phase>
   <phase id="Typeofreferralsource">
      <active pattern="template-1.2.276.0.76.10.3046-2015-01-10T000000"/>
   </phase>
   <phase id="Referralfrom">
      <active pattern="template-1.2.276.0.76.10.4038-2015-09-18T000000"/>
   </phase>
   <phase id="Problemconcernactcedis">
      <active pattern="template-1.2.276.0.76.10.4039-2015-03-03T000000"/>
   </phase>
   <phase id="Problemobservationcedis">
      <active pattern="template-1.2.276.0.76.10.4040-2015-09-18T000000"/>
   </phase>
   <phase id="transportmittel">
      <active pattern="template-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456"/>
   </phase>
   <phase id="transportmethode">
      <active pattern="template-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519"/>
   </phase>
   <phase id="medizinische-begleitung">
      <active pattern="template-1.2.276.0.76.3.1.195.10.12-2024-08-13T125659"/>
   </phase>
   <phase id="wiedervorstellung">
      <active pattern="template-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456"/>
   </phase>
   <phase id="ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen">
      <active pattern="template-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000"/>
   </phase>
   <phase id="zeit_seit_letzter_wv_gleicher_vorstellungsgrund">
      <active pattern="template-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000"/>
   </phase>
   <phase id="ersteinschatzung-section">
      <active pattern="template-1.2.276.0.76.3.1.195.10.16-2024-08-13T132558"/>
   </phase>
   <phase id="direkter_arztkontakt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000"/>
   </phase>
   <phase id="ersteinschatzung">
      <active pattern="template-1.2.276.0.76.3.1.195.10.18-2024-08-13T141750"/>
   </phase>
   <phase id="manchester-triage-system">
      <active pattern="template-1.2.276.0.76.3.1.195.10.19-2024-08-13T143845"/>
   </phase>
   <phase id="emergency-severity-index">
      <active pattern="template-1.2.276.0.76.3.1.195.10.20-2024-08-13T143845"/>
   </phase>
   <phase id="mts-prasentationsdiagramm">
      <active pattern="template-1.2.276.0.76.3.1.195.10.21-2024-08-13T105015"/>
   </phase>
   <phase id="mts-indikatoren-rot">
      <active pattern="template-1.2.276.0.76.3.1.195.10.22-2024-08-13T105015"/>
   </phase>
   <phase id="mts-indikatoren-orange">
      <active pattern="template-1.2.276.0.76.3.1.195.10.23-2024-08-13T105015"/>
   </phase>
   <phase id="mts-indikatoren-gelb">
      <active pattern="template-1.2.276.0.76.3.1.195.10.24-2024-08-13T105015"/>
   </phase>
   <phase id="mts-indikatoren-grun">
      <active pattern="template-1.2.276.0.76.3.1.195.10.25-2024-08-13T105015"/>
   </phase>
   <phase id="esi-triage-faktoren">
      <active pattern="template-1.2.276.0.76.3.1.195.10.26-2024-08-13T105015"/>
   </phase>
   <phase id="notfallanamnese-section">
      <active pattern="template-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201"/>
   </phase>
   <phase id="unfall-anamnese">
      <active pattern="template-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456"/>
   </phase>
   <phase id="unfallursache-kinetik">
      <active pattern="template-1.2.276.0.76.3.1.195.10.29-2024-08-13T183755"/>
   </phase>
   <phase id="unfallart-traumaregister">
      <active pattern="template-1.2.276.0.76.3.1.195.10.30-2024-08-13T183755"/>
   </phase>
   <phase id="reise-anamnese">
      <active pattern="template-1.2.276.0.76.3.1.195.10.31-2024-05-24T000000"/>
   </phase>
   <phase id="vitalparameter-scores">
      <active pattern="template-1.2.276.0.76.3.1.195.10.33-2024-08-14T100903"/>
   </phase>
   <phase id="atemfrequenz">
      <active pattern="template-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356"/>
   </phase>
   <phase id="pulsoximetrische_sauerstoffsattigung">
      <active pattern="template-1.2.276.0.76.3.1.195.10.35-2024-08-14T101356"/>
   </phase>
   <phase id="blutdruck">
      <active pattern="template-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356"/>
   </phase>
   <phase id="blutdruck-systolisch">
      <active pattern="template-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356"/>
   </phase>
   <phase id="blutdruck-diastolisch">
      <active pattern="template-1.2.276.0.76.3.1.195.10.38-2024-08-14T101356"/>
   </phase>
   <phase id="herzfrequenz">
      <active pattern="template-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356"/>
   </phase>
   <phase id="pulsfrequenz">
      <active pattern="template-1.2.276.0.76.3.1.195.10.40-2024-08-14T101356"/>
   </phase>
   <phase id="korperkerntemperatur">
      <active pattern="template-1.2.276.0.76.3.1.195.10.41-2024-08-14T101356"/>
   </phase>
   <phase id="GlasgowComaScale">
      <active pattern="template-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734"/>
   </phase>
   <phase id="Painseverity">
      <active pattern="template-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529"/>
   </phase>
   <phase id="niedrigste-gcs-summe">
      <active pattern="template-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000"/>
   </phase>
   <phase id="erste-schmerzmessung">
      <active pattern="template-1.2.276.0.76.3.1.195.10.45-2024-05-24T000000"/>
   </phase>
   <phase id="laboruntersuchung_angefordert">
      <active pattern="template-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000"/>
   </phase>
   <phase id="mikrobiologie_angefordert">
      <active pattern="template-1.2.276.0.76.3.1.195.10.47-2024-05-24T000000"/>
   </phase>
   <phase id="bga_angefordert">
      <active pattern="template-1.2.276.0.76.3.1.195.10.48-2024-05-24T000000"/>
   </phase>
   <phase id="ekg_angefordert">
      <active pattern="template-1.2.276.0.76.3.1.195.10.49-2024-05-24T000000"/>
   </phase>
   <phase id="sonographie_angefordert">
      <active pattern="template-1.2.276.0.76.3.1.195.10.50-2024-05-24T000000"/>
   </phase>
   <phase id="rontgenthorax_angefordert">
      <active pattern="template-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000"/>
   </phase>
   <phase id="rontgenthorax_durchgefuhrt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000"/>
   </phase>
   <phase id="rontgenbecken_durchgefuhrt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000"/>
   </phase>
   <phase id="rontgenwirbelsaule_durchgefuhrt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000"/>
   </phase>
   <phase id="ganzkorperct_durchgefuhrt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000"/>
   </phase>
   <phase id="ct_kopf_durchgefuhrt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.56-2024-05-24T000000"/>
   </phase>
   <phase id="ct_hws_durchgefuhrt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.57-2024-05-24T000000"/>
   </phase>
   <phase id="ct_thorax_durchgefuhrt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.58-2024-05-24T000000"/>
   </phase>
   <phase id="ct_abdomen_durchgefuhrt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.59-2024-05-24T000000"/>
   </phase>
   <phase id="ct_extremitaten_durchgefuhrt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000"/>
   </phase>
   <phase id="mrt_durchgefuhrt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.61-2024-05-24T000000"/>
   </phase>
   <phase id="diagnostik">
      <active pattern="template-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422"/>
   </phase>
   <phase id="isolation">
      <active pattern="template-1.2.276.0.76.3.1.195.10.65-2024-08-14T180814"/>
   </phase>
   <phase id="Isolationindication">
      <active pattern="template-1.2.276.0.76.3.1.195.10.66-2024-08-14T181444"/>
   </phase>
   <phase id="Medikation">
      <active pattern="template-1.2.276.0.76.3.1.195.10.67-2023-12-03T000000"/>
   </phase>
   <phase id="abschlussdiagnosen">
      <active pattern="template-1.2.276.0.76.3.1.195.10.68-2024-08-14T195341"/>
   </phase>
   <phase id="abschlussdiagnosen-container">
      <active pattern="template-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658"/>
   </phase>
   <phase id="demografische-informationen">
      <active pattern="template-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617"/>
   </phase>
   <phase id="abschlussdiagnose">
      <active pattern="template-1.2.276.0.76.3.1.195.10.70-2024-08-15T101850"/>
   </phase>
   <phase id="verlegung-entlassung">
      <active pattern="template-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815"/>
   </phase>
   <phase id="verlegung">
      <active pattern="template-1.2.276.0.76.3.1.195.10.72-2024-08-15T110724"/>
   </phase>
   <phase id="addendum-dokumentationsinformationen">
      <active pattern="template-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815"/>
   </phase>
   <phase id="kombination_typen_verlegung_und_entlassung">
      <active pattern="template-1.2.276.0.76.3.1.195.10.74-2024-05-24T000000"/>
   </phase>
   <phase id="zeitpunkt_entscheidung_zur_verlegung__entlassung">
      <active pattern="template-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000"/>
   </phase>
   <phase id="zeitpunkt_patient_verlegungs__entlassungsfahig">
      <active pattern="template-1.2.276.0.76.3.1.195.10.76-2024-05-24T000000"/>
   </phase>
   <phase id="zeitpunkt_patient_verlegt__entlassen_nach">
      <active pattern="template-1.2.276.0.76.3.1.195.10.77-2024-05-24T000000"/>
   </phase>
   <phase id="stunde_beginn_patientenbezogene_dokumentation">
      <active pattern="template-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000"/>
   </phase>
   <phase id="datum_beginn_patientenbezogene_dokumentation">
      <active pattern="template-1.2.276.0.76.3.1.195.10.79-2024-05-24T000000"/>
   </phase>
   <phase id="alter">
      <active pattern="template-1.2.276.0.76.3.1.195.10.8-2024-08-13T105015"/>
   </phase>
   <phase id="zeit_zwischen_ankunft_und_aufnahme">
      <active pattern="template-1.2.276.0.76.3.1.195.10.80-2024-05-24T000000"/>
   </phase>
   <phase id="zeit_zwischen_aufnahme_und_erster_ersteinschatzung">
      <active pattern="template-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000"/>
   </phase>
   <phase id="zeit_zwischen_aufnahme_und_erstem_arztkontakt">
      <active pattern="template-1.2.276.0.76.3.1.195.10.82-2024-05-24T000000"/>
   </phase>
   <phase id="zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten">
      <active pattern="template-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000"/>
   </phase>
   <phase id="zeit_zwischen_aufnahme_und_verlassen_des_patienten">
      <active pattern="template-1.2.276.0.76.3.1.195.10.84-2024-05-24T000000"/>
   </phase>
   <phase id="zeit_bis_zum_export">
      <active pattern="template-1.2.276.0.76.3.1.195.10.85-2024-05-24T000000"/>
   </phase>
   <phase id="name_des_edis">
      <active pattern="template-1.2.276.0.76.3.1.195.10.86-2024-05-24T000000"/>
   </phase>
   <phase id="version_des_edis">
      <active pattern="template-1.2.276.0.76.3.1.195.10.87-2024-05-24T000000"/>
   </phase>
   <phase id="zeitpunkt_export_aus_edis">
      <active pattern="template-1.2.276.0.76.3.1.195.10.88-2024-05-24T000000"/>
   </phase>
   <phase id="WildcardDiagnostik">
      <active pattern="template-1.2.276.0.76.3.1.195.10.89-2024-08-18T215030"/>
   </phase>
   <phase id="geburtsjahr">
      <active pattern="template-1.2.276.0.76.3.1.195.10.9-2024-08-13T113044"/>
   </phase>
   <phase id="WildcardTherapie">
      <active pattern="template-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030"/>
   </phase>
   <phase id="ct-mr-ds-angiographie">
      <active pattern="template-1.2.276.0.76.3.1.195.10.91-2024-05-24T000000"/>
   </phase>
   <phase id="UVSubordinateadministration">
      <active pattern="template-2.16.840.1.113883.10.21.4.6-2023-01-30T093600"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- Typeofreferralsource -->
   <include href="include/1.2.276.0.76.10.3046-2015-01-10T000000.sch"/>
   <!-- Referralfrom -->
   <include href="include/1.2.276.0.76.10.4038-2015-09-18T000000.sch"/>
   <!-- Problemconcernactcedis -->
   <include href="include/1.2.276.0.76.10.4039-2015-03-03T000000.sch"/>
   <!-- Problemobservationcedis -->
   <include href="include/1.2.276.0.76.10.4040-2015-09-18T000000.sch"/>
   <!-- transportmittel -->
   <include href="include/1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.sch"/>
   <!-- transportmethode -->
   <include href="include/1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.sch"/>
   <!-- medizinische-begleitung -->
   <include href="include/1.2.276.0.76.3.1.195.10.12-2024-08-13T125659.sch"/>
   <!-- wiedervorstellung -->
   <include href="include/1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.sch"/>
   <!-- ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen -->
   <include href="include/1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.sch"/>
   <!-- zeit_seit_letzter_wv_gleicher_vorstellungsgrund -->
   <include href="include/1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.sch"/>
   <!-- ersteinschatzung-section -->
   <include href="include/1.2.276.0.76.3.1.195.10.16-2024-08-13T132558.sch"/>
   <!-- direkter_arztkontakt -->
   <include href="include/1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.sch"/>
   <!-- ersteinschatzung -->
   <include href="include/1.2.276.0.76.3.1.195.10.18-2024-08-13T141750.sch"/>
   <!-- manchester-triage-system -->
   <include href="include/1.2.276.0.76.3.1.195.10.19-2024-08-13T143845.sch"/>
   <!-- emergency-severity-index -->
   <include href="include/1.2.276.0.76.3.1.195.10.20-2024-08-13T143845.sch"/>
   <!-- mts-prasentationsdiagramm -->
   <include href="include/1.2.276.0.76.3.1.195.10.21-2024-08-13T105015.sch"/>
   <!-- mts-indikatoren-rot -->
   <include href="include/1.2.276.0.76.3.1.195.10.22-2024-08-13T105015.sch"/>
   <!-- mts-indikatoren-orange -->
   <include href="include/1.2.276.0.76.3.1.195.10.23-2024-08-13T105015.sch"/>
   <!-- mts-indikatoren-gelb -->
   <include href="include/1.2.276.0.76.3.1.195.10.24-2024-08-13T105015.sch"/>
   <!-- mts-indikatoren-grun -->
   <include href="include/1.2.276.0.76.3.1.195.10.25-2024-08-13T105015.sch"/>
   <!-- esi-triage-faktoren -->
   <include href="include/1.2.276.0.76.3.1.195.10.26-2024-08-13T105015.sch"/>
   <!-- notfallanamnese-section -->
   <include href="include/1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.sch"/>
   <!-- unfall-anamnese -->
   <include href="include/1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.sch"/>
   <!-- unfallursache-kinetik -->
   <include href="include/1.2.276.0.76.3.1.195.10.29-2024-08-13T183755.sch"/>
   <!-- unfallart-traumaregister -->
   <include href="include/1.2.276.0.76.3.1.195.10.30-2024-08-13T183755.sch"/>
   <!-- reise-anamnese -->
   <include href="include/1.2.276.0.76.3.1.195.10.31-2024-05-24T000000.sch"/>
   <!-- vitalparameter-scores -->
   <include href="include/1.2.276.0.76.3.1.195.10.33-2024-08-14T100903.sch"/>
   <!-- atemfrequenz -->
   <include href="include/1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.sch"/>
   <!-- pulsoximetrische_sauerstoffsattigung -->
   <include href="include/1.2.276.0.76.3.1.195.10.35-2024-08-14T101356.sch"/>
   <!-- blutdruck -->
   <include href="include/1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.sch"/>
   <!-- blutdruck-systolisch -->
   <include href="include/1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.sch"/>
   <!-- blutdruck-diastolisch -->
   <include href="include/1.2.276.0.76.3.1.195.10.38-2024-08-14T101356.sch"/>
   <!-- herzfrequenz -->
   <include href="include/1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.sch"/>
   <!-- pulsfrequenz -->
   <include href="include/1.2.276.0.76.3.1.195.10.40-2024-08-14T101356.sch"/>
   <!-- korperkerntemperatur -->
   <include href="include/1.2.276.0.76.3.1.195.10.41-2024-08-14T101356.sch"/>
   <!-- GlasgowComaScale -->
   <include href="include/1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.sch"/>
   <!-- Painseverity -->
   <include href="include/1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.sch"/>
   <!-- niedrigste-gcs-summe -->
   <include href="include/1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.sch"/>
   <!-- erste-schmerzmessung -->
   <include href="include/1.2.276.0.76.3.1.195.10.45-2024-05-24T000000.sch"/>
   <!-- laboruntersuchung_angefordert -->
   <include href="include/1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.sch"/>
   <!-- mikrobiologie_angefordert -->
   <include href="include/1.2.276.0.76.3.1.195.10.47-2024-05-24T000000.sch"/>
   <!-- bga_angefordert -->
   <include href="include/1.2.276.0.76.3.1.195.10.48-2024-05-24T000000.sch"/>
   <!-- ekg_angefordert -->
   <include href="include/1.2.276.0.76.3.1.195.10.49-2024-05-24T000000.sch"/>
   <!-- sonographie_angefordert -->
   <include href="include/1.2.276.0.76.3.1.195.10.50-2024-05-24T000000.sch"/>
   <!-- rontgenthorax_angefordert -->
   <include href="include/1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.sch"/>
   <!-- rontgenthorax_durchgefuhrt -->
   <include href="include/1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.sch"/>
   <!-- rontgenbecken_durchgefuhrt -->
   <include href="include/1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.sch"/>
   <!-- rontgenwirbelsaule_durchgefuhrt -->
   <include href="include/1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.sch"/>
   <!-- ganzkorperct_durchgefuhrt -->
   <include href="include/1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.sch"/>
   <!-- ct_kopf_durchgefuhrt -->
   <include href="include/1.2.276.0.76.3.1.195.10.56-2024-05-24T000000.sch"/>
   <!-- ct_hws_durchgefuhrt -->
   <include href="include/1.2.276.0.76.3.1.195.10.57-2024-05-24T000000.sch"/>
   <!-- ct_thorax_durchgefuhrt -->
   <include href="include/1.2.276.0.76.3.1.195.10.58-2024-05-24T000000.sch"/>
   <!-- ct_abdomen_durchgefuhrt -->
   <include href="include/1.2.276.0.76.3.1.195.10.59-2024-05-24T000000.sch"/>
   <!-- ct_extremitaten_durchgefuhrt -->
   <include href="include/1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.sch"/>
   <!-- mrt_durchgefuhrt -->
   <include href="include/1.2.276.0.76.3.1.195.10.61-2024-05-24T000000.sch"/>
   <!-- diagnostik -->
   <include href="include/1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.sch"/>
   <!-- isolation -->
   <include href="include/1.2.276.0.76.3.1.195.10.65-2024-08-14T180814.sch"/>
   <!-- Isolationindication -->
   <include href="include/1.2.276.0.76.3.1.195.10.66-2024-08-14T181444.sch"/>
   <!-- Medikation -->
   <include href="include/1.2.276.0.76.3.1.195.10.67-2023-12-03T000000.sch"/>
   <!-- abschlussdiagnosen -->
   <include href="include/1.2.276.0.76.3.1.195.10.68-2024-08-14T195341.sch"/>
   <!-- abschlussdiagnosen-container -->
   <include href="include/1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.sch"/>
   <!-- demografische-informationen -->
   <include href="include/1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.sch"/>
   <!-- abschlussdiagnose -->
   <include href="include/1.2.276.0.76.3.1.195.10.70-2024-08-15T101850.sch"/>
   <!-- verlegung-entlassung -->
   <include href="include/1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.sch"/>
   <!-- verlegung -->
   <include href="include/1.2.276.0.76.3.1.195.10.72-2024-08-15T110724.sch"/>
   <!-- addendum-dokumentationsinformationen -->
   <include href="include/1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.sch"/>
   <!-- kombination_typen_verlegung_und_entlassung -->
   <include href="include/1.2.276.0.76.3.1.195.10.74-2024-05-24T000000.sch"/>
   <!-- zeitpunkt_entscheidung_zur_verlegung__entlassung -->
   <include href="include/1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.sch"/>
   <!-- zeitpunkt_patient_verlegungs__entlassungsfahig -->
   <include href="include/1.2.276.0.76.3.1.195.10.76-2024-05-24T000000.sch"/>
   <!-- zeitpunkt_patient_verlegt__entlassen_nach -->
   <include href="include/1.2.276.0.76.3.1.195.10.77-2024-05-24T000000.sch"/>
   <!-- stunde_beginn_patientenbezogene_dokumentation -->
   <include href="include/1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.sch"/>
   <!-- datum_beginn_patientenbezogene_dokumentation -->
   <include href="include/1.2.276.0.76.3.1.195.10.79-2024-05-24T000000.sch"/>
   <!-- alter -->
   <include href="include/1.2.276.0.76.3.1.195.10.8-2024-08-13T105015.sch"/>
   <!-- zeit_zwischen_ankunft_und_aufnahme -->
   <include href="include/1.2.276.0.76.3.1.195.10.80-2024-05-24T000000.sch"/>
   <!-- zeit_zwischen_aufnahme_und_erster_ersteinschatzung -->
   <include href="include/1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.sch"/>
   <!-- zeit_zwischen_aufnahme_und_erstem_arztkontakt -->
   <include href="include/1.2.276.0.76.3.1.195.10.82-2024-05-24T000000.sch"/>
   <!-- zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten -->
   <include href="include/1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.sch"/>
   <!-- zeit_zwischen_aufnahme_und_verlassen_des_patienten -->
   <include href="include/1.2.276.0.76.3.1.195.10.84-2024-05-24T000000.sch"/>
   <!-- zeit_bis_zum_export -->
   <include href="include/1.2.276.0.76.3.1.195.10.85-2024-05-24T000000.sch"/>
   <!-- name_des_edis -->
   <include href="include/1.2.276.0.76.3.1.195.10.86-2024-05-24T000000.sch"/>
   <!-- version_des_edis -->
   <include href="include/1.2.276.0.76.3.1.195.10.87-2024-05-24T000000.sch"/>
   <!-- zeitpunkt_export_aus_edis -->
   <include href="include/1.2.276.0.76.3.1.195.10.88-2024-05-24T000000.sch"/>
   <!-- WildcardDiagnostik -->
   <include href="include/1.2.276.0.76.3.1.195.10.89-2024-08-18T215030.sch"/>
   <!-- geburtsjahr -->
   <include href="include/1.2.276.0.76.3.1.195.10.9-2024-08-13T113044.sch"/>
   <!-- WildcardTherapie -->
   <include href="include/1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.sch"/>
   <!-- ct-mr-ds-angiographie -->
   <include href="include/1.2.276.0.76.3.1.195.10.91-2024-05-24T000000.sch"/>
   <!-- UVSubordinateadministration -->
   <include href="include/2.16.840.1.113883.10.21.4.6-2023-01-30T093600.sch"/>

</schema>
