<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.14
Name: Ungeplante Vorstellung zum gleichen Vorstellungsgrund innerhalb von 28 Tagen
Description: Hat sich der Patient ungeplant zum gleichen Vorstellungsgrund (Leitsymptom) innerhalb von 28 Tagen wieder vorgestellt?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000">
   <title>Ungeplante Vorstellung zum gleichen Vorstellungsgrund innerhalb von 28 Tagen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]
Item: (ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]"
         id="d42e1010-false-d1980e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]) &gt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]) &lt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]
Item: (ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]"
         id="d42e1021-false-d1997e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']) &gt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']) &lt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-11' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:code[(@code = 'FLN-11' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-11' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:code[(@code = 'FLN-11' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:value) &gt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:value) &lt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']
Item: (ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']"
         id="d42e1027-false-d2061e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.14')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.14' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:code[(@code = 'FLN-11' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:code[(@code = 'FLN-11' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e1032-false-d2076e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-11' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='Hat sich der Patient ungeplant zum gleichen Vorstellungsgrund (Leitsymptom) innerhalb von 28 Tagen wieder vorgestellt?')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Der Elementinhalt MUSS einer von 'code 'FLN-11' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='Hat sich der Patient ungeplant zum gleichen Vorstellungsgrund (Leitsymptom) innerhalb von 28 Tagen wieder vorgestellt?'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:text
Item: (ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:text"
         id="d42e1037-false-d2092e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:text/hl7:reference
Item: (ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:text/hl7:reference"
         id="d42e1042-false-d2111e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:statusCode[@code = 'completed']
Item: (ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:statusCode[@code = 'completed']"
         id="d42e1046-false-d2122e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:effectiveTime
Item: (ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:effectiveTime"
         id="d42e1051-false-d2138e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="not(*)">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.14
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:value
Item: (ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]/hl7:value"
         id="d42e1053-false-d2151e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.14-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'BL')">(ungeplante_wv_gleicher_vorstellungsgrund_binnen_28_tagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
