<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.15
Name: Zeit seit letzter Vorstellung zum gleichen Vorstellungsgrund
Description: Zeitabstand seit letzter Vorstellung zum gleichen Vorstellungsgrund (Leitsymptom) in Stunden oder Tagen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000">
   <title>Zeit seit letzter Vorstellung zum gleichen Vorstellungsgrund</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]
Item: (zeit_seit_letzter_wv_gleicher_vorstellungsgrund)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]"
         id="d42e1058-false-d2169e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]) &gt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]) &lt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]
Item: (zeit_seit_letzter_wv_gleicher_vorstellungsgrund)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]"
         id="d42e1069-false-d2186e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']) &gt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']) &lt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-12' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:code[(@code = 'FLN-12' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-12' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:code[(@code = 'FLN-12' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[@unit='h'] | hl7:value[@unit='d'])"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="$elmcount &gt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Auswahl (hl7:value[@unit='h']  oder  hl7:value[@unit='d']) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="$elmcount &lt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Auswahl (hl7:value[@unit='h']  oder  hl7:value[@unit='d']) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:value[@unit='h']) &gt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:value[@unit='h'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:value[@unit='h']) &lt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:value[@unit='h'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:value[@unit='d']) &gt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:value[@unit='d'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:value[@unit='d']) &lt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:value[@unit='d'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']
Item: (zeit_seit_letzter_wv_gleicher_vorstellungsgrund)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']"
         id="d42e1075-false-d2263e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.15')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.15' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:code[(@code = 'FLN-12' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (zeit_seit_letzter_wv_gleicher_vorstellungsgrund)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:code[(@code = 'FLN-12' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e1080-false-d2278e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-12' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='Zeitabstand seit letzter Vorstellung zum gleichen Vorstellungsgrund (Leitsymptom) in Stunden oder Tagen')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Der Elementinhalt MUSS einer von 'code 'FLN-12' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='Zeitabstand seit letzter Vorstellung zum gleichen Vorstellungsgrund (Leitsymptom) in Stunden oder Tagen'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:text
Item: (zeit_seit_letzter_wv_gleicher_vorstellungsgrund)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:text"
         id="d42e1085-false-d2294e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:text/hl7:reference
Item: (zeit_seit_letzter_wv_gleicher_vorstellungsgrund)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:text/hl7:reference"
         id="d42e1090-false-d2313e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:statusCode[@code = 'completed']
Item: (zeit_seit_letzter_wv_gleicher_vorstellungsgrund)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:statusCode[@code = 'completed']"
         id="d42e1094-false-d2324e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:effectiveTime
Item: (zeit_seit_letzter_wv_gleicher_vorstellungsgrund)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:effectiveTime"
         id="d42e1099-false-d2340e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="not(*)">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:value[@unit='h']
Item: (zeit_seit_letzter_wv_gleicher_vorstellungsgrund)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:value[@unit='h']"
         id="d42e1103-false-d2351e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="string(@unit) = ('h')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Der Wert von unit MUSS 'h' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:value[@unit='d']
Item: (zeit_seit_letzter_wv_gleicher_vorstellungsgrund)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]/hl7:value[@unit='d']"
         id="d42e1108-false-d2367e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.15-2024-05-24T000000.html"
              test="string(@unit) = ('d')">(zeit_seit_letzter_wv_gleicher_vorstellungsgrund): Der Wert von unit MUSS 'd' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
