<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.28
Name: Unfall-Anamnese
Description: Injury Event Detail
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456">
   <title>Unfall-Anamnese</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]
Item: (unfall-anamnese)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]
Item: (unfall-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]"
         id="d42e2082-false-d26186e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="string(@classCode) = ('ACT')">(unfall-anamnese): Der Wert von classCode MUSS 'ACT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="string(@moodCode) = ('EVN')">(unfall-anamnese): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']) &gt;= 1">(unfall-anamnese): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']) &lt;= 1">(unfall-anamnese): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(unfall-anamnese): Element hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(unfall-anamnese): Element hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:text) &lt;= 1">(unfall-anamnese): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:effectiveTime) &gt;= 1">(unfall-anamnese): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:effectiveTime) &lt;= 1">(unfall-anamnese): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:participant[hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]) &lt;= 1">(unfall-anamnese): Element hl7:participant[hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.29']]]) &lt;= 1">(unfall-anamnese): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.29']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.30']]]) &lt;= 1">(unfall-anamnese): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.30']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:entryRelationship[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]) &lt;= 1">(unfall-anamnese): Element hl7:entryRelationship[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']
Item: (unfall-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']"
         id="d42e2088-false-d26272e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(unfall-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.28')">(unfall-anamnese): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.28' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (unfall-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2093-false-d26287e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(unfall-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="@nullFlavor or (@code='74209-8' and @codeSystem='2.16.840.1.113883.6.1')">(unfall-anamnese): Der Elementinhalt MUSS einer von 'code '74209-8' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:text
Item: (unfall-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:text"
         id="d42e2098-false-d26303e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(unfall-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:reference) &gt;= 1">(unfall-anamnese): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:reference) &lt;= 1">(unfall-anamnese): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:text/hl7:reference
Item: (unfall-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:text/hl7:reference"
         id="d42e2103-false-d26322e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(unfall-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:effectiveTime
Item: (unfall-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:effectiveTime"
         id="d42e2107-false-d26332e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(unfall-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:low) &gt;= 1">(unfall-anamnese): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:low) &lt;= 1">(unfall-anamnese): Element hl7:low kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:effectiveTime/hl7:low
Item: (unfall-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:effectiveTime/hl7:low"
         id="d42e2109-false-d26351e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(unfall-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="not(*)">(unfall-anamnese): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:participant[hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]
Item: (unfall-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:participant[hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]"
         id="d42e2112-false-d26367e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="string(@typeCode) = ('DEV')">(unfall-anamnese): Der Wert von typeCode MUSS 'DEV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]) &gt;= 1">(unfall-anamnese): Element hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]) &lt;= 1">(unfall-anamnese): Element hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:participant[hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]
Item: (unfall-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:participant[hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]"
         id="d42e2116-false-d26393e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="string(@classCode) = ('INST')">(unfall-anamnese): Der Wert von classCode MUSS 'INST' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(unfall-anamnese): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(unfall-anamnese): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:participant[hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (unfall-anamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:participant[hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:participantRole[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e2120-false-d26419e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(unfall-anamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.195.11.8-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(unfall-anamnese): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.195.11.8 Fahrzeug des Verunfallten (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.29']]]
Item: (unfall-anamnese)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.29']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="string(@typeCode) = ('COMP')">(unfall-anamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(unfall-anamnese): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.30']]]
Item: (unfall-anamnese)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.30']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="string(@typeCode) = ('COMP')">(unfall-anamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(unfall-anamnese): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.28
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:entryRelationship[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]
Item: (unfall-anamnese)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]/hl7:entryRelationship[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.31']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="string(@typeCode) = ('COMP')">(unfall-anamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.28-2024-08-13T183456.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(unfall-anamnese): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
