<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.34
Name: Atemfrequenz
Description: Atemzüge des Patienten pro Minute
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356">
   <title>Atemfrequenz</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.34
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]
Item: (atemfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]"
         id="d42e2608-false-d27808e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]) &gt;= 1">(atemfrequenz): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]) &lt;= 1">(atemfrequenz): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.34
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]
Item: (atemfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]"
         id="d42e2636-false-d27825e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="string(@classCode) = ('OBS')">(atemfrequenz): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="string(@moodCode) = ('EVN')">(atemfrequenz): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']) &gt;= 1">(atemfrequenz): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']) &lt;= 1">(atemfrequenz): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:id) &lt;= 1">(atemfrequenz): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:code[(@code = '86290005' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(atemfrequenz): Element hl7:code[(@code = '86290005' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:code[(@code = '86290005' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(atemfrequenz): Element hl7:code[(@code = '86290005' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:text) &lt;= 1">(atemfrequenz): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(atemfrequenz): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(atemfrequenz): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:effectiveTime) &gt;= 1">(atemfrequenz): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:effectiveTime) &lt;= 1">(atemfrequenz): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:value) &gt;= 1">(atemfrequenz): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:value) &lt;= 1">(atemfrequenz): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.34
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']
Item: (atemfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']"
         id="d42e2642-false-d27897e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(atemfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.34')">(atemfrequenz): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.34' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.34
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:id
Item: (atemfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:id"
         id="d42e2647-false-d27911e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(atemfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.34
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:code[(@code = '86290005' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (atemfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:code[(@code = '86290005' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e2649-false-d27922e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(atemfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="@nullFlavor or (@code='86290005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Respiratory rate (observable entity)')">(atemfrequenz): Der Elementinhalt MUSS einer von 'code '86290005' codeSystem '2.16.840.1.113883.6.96' displayName='Respiratory rate (observable entity)'' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:translation[(@code = '9279-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(atemfrequenz): Element hl7:translation[(@code = '9279-1' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:translation[(@code = '9279-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(atemfrequenz): Element hl7:translation[(@code = '9279-1' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.34
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:code[(@code = '86290005' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '9279-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (atemfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:code[(@code = '86290005' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '9279-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2653-false-d27948e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(atemfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="@nullFlavor or (@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Respiratory rate')">(atemfrequenz): Der Elementinhalt MUSS einer von 'code '9279-1' codeSystem '2.16.840.1.113883.6.1' displayName='Respiratory rate'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.34
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:text
Item: (atemfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:text"
         id="d42e2660-false-d27964e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(atemfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:reference) &gt;= 1">(atemfrequenz): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="count(hl7:reference) &lt;= 1">(atemfrequenz): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.34
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:text/hl7:reference
Item: (atemfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:text/hl7:reference"
         id="d42e2665-false-d27983e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(atemfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.34
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:statusCode[@code = 'completed']
Item: (atemfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:statusCode[@code = 'completed']"
         id="d42e2668-false-d27994e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(atemfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="@nullFlavor or (@code='completed')">(atemfrequenz): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.34
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:effectiveTime
Item: (atemfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:effectiveTime"
         id="d42e2673-false-d28010e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(atemfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="not(*)">(atemfrequenz): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.34
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:value
Item: (atemfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.34']]/hl7:value"
         id="d42e2675-false-d28023e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(atemfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="(@nullFlavor or (@unit='/min'))">(atemfrequenz): value MUSS die Einheit '/min' nutzen </assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(atemfrequenz): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.34-2024-08-14T101356.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(atemfrequenz): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
