<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.36
Name: Blutdruck
Description: Sammelkontainer für systolischen und diastolischen Blutdruck (eine Zeitangabe)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356">
   <title>Blutdruck</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.36
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]
Item: (blutdruck)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]"
         id="d42e2740-false-d28298e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]) &gt;= 1">(blutdruck): Element hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]) &lt;= 1">(blutdruck): Element hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.36
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]
Item: (blutdruck)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]"
         id="d42e2754-false-d28327e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="string(@classCode) = ('CLUSTER')">(blutdruck): Der Wert von classCode MUSS 'CLUSTER' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="string(@moodCode) = ('EVN')">(blutdruck): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']) &gt;= 1">(blutdruck): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']) &lt;= 1">(blutdruck): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:id) &lt;= 1">(blutdruck): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:code[(@code = '85354-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(blutdruck): Element hl7:code[(@code = '85354-9' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:code[(@code = '85354-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(blutdruck): Element hl7:code[(@code = '85354-9' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(blutdruck): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(blutdruck): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:effectiveTime) &gt;= 1">(blutdruck): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:effectiveTime) &lt;= 1">(blutdruck): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]) &lt;= 1">(blutdruck): Element hl7:component[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.38']]]) &lt;= 1">(blutdruck): Element hl7:component[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.38']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.36
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']
Item: (blutdruck)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']"
         id="d42e2760-false-d28405e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(blutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.36')">(blutdruck): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.36' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.36
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:id
Item: (blutdruck)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:id"
         id="d42e2765-false-d28419e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(blutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.36
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:code[(@code = '85354-9' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (blutdruck)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:code[(@code = '85354-9' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2767-false-d28430e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(blutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="@nullFlavor or (@code='85354-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Blood pressure panel with all children optional')">(blutdruck): Der Elementinhalt MUSS einer von 'code '85354-9' codeSystem '2.16.840.1.113883.6.1' displayName='Blood pressure panel with all children optional'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.36
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:statusCode[@code = 'completed']
Item: (blutdruck)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:statusCode[@code = 'completed']"
         id="d42e2773-false-d28447e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(blutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="@nullFlavor or (@code='completed')">(blutdruck): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.36
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:effectiveTime
Item: (blutdruck)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:effectiveTime"
         id="d42e2778-false-d28463e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(blutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="not(*)">(blutdruck): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.36
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:component[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]
Item: (blutdruck)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:component[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(blutdruck): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(blutdruck): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.36
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:component[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.38']]]
Item: (blutdruck)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.36']]/hl7:component[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.38']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(blutdruck): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.36-2024-08-14T101356.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(blutdruck): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
