<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.39
Name: Herzfrequenz
Description: Herzfrequenz des Patienten [Schläge/min] per EKG abgeleitet
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356">
   <title>Herzfrequenz</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.39
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]
Item: (herzfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]"
         id="d42e2919-false-d28992e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]) &gt;= 1">(herzfrequenz): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]) &lt;= 1">(herzfrequenz): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.39
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]
Item: (herzfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]"
         id="d42e2930-false-d29009e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="string(@classCode) = ('OBS')">(herzfrequenz): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="string(@moodCode) = ('EVN')">(herzfrequenz): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']) &gt;= 1">(herzfrequenz): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']) &lt;= 1">(herzfrequenz): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:id) &lt;= 1">(herzfrequenz): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:code[(@code = '364075005' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(herzfrequenz): Element hl7:code[(@code = '364075005' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:code[(@code = '364075005' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(herzfrequenz): Element hl7:code[(@code = '364075005' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:text) &lt;= 1">(herzfrequenz): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(herzfrequenz): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(herzfrequenz): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:effectiveTime) &gt;= 1">(herzfrequenz): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:effectiveTime) &lt;= 1">(herzfrequenz): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:value) &gt;= 1">(herzfrequenz): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:value) &lt;= 1">(herzfrequenz): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.39
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']
Item: (herzfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']"
         id="d42e2936-false-d29081e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.39')">(herzfrequenz): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.39' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.39
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:id
Item: (herzfrequenz)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.39
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:code[(@code = '364075005' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (herzfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:code[(@code = '364075005' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e2943-false-d29104e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="@nullFlavor or (@code='364075005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Heart rate (observable entity)')">(herzfrequenz): Der Elementinhalt MUSS einer von 'code '364075005' codeSystem '2.16.840.1.113883.6.96' displayName='Heart rate (observable entity)'' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:translation[(@code = '8867-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(herzfrequenz): Element hl7:translation[(@code = '8867-4' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:translation[(@code = '8867-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(herzfrequenz): Element hl7:translation[(@code = '8867-4' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.39
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:code[(@code = '364075005' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '8867-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (herzfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:code[(@code = '364075005' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '8867-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2947-false-d29130e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="@nullFlavor or (@code='8867-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate')">(herzfrequenz): Der Elementinhalt MUSS einer von 'code '8867-4' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.39
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:text
Item: (herzfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:text"
         id="d42e2954-false-d29146e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:reference) &gt;= 1">(herzfrequenz): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="count(hl7:reference) &lt;= 1">(herzfrequenz): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.39
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:text/hl7:reference
Item: (herzfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:text/hl7:reference"
         id="d42e2959-false-d29165e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.39
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:statusCode[@code = 'completed']
Item: (herzfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:statusCode[@code = 'completed']"
         id="d42e2962-false-d29176e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="@nullFlavor or (@code='completed')">(herzfrequenz): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.39
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:effectiveTime
Item: (herzfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:effectiveTime"
         id="d42e2967-false-d29192e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="not(*)">(herzfrequenz): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.39
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:value
Item: (herzfrequenz)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.39']]/hl7:value"
         id="d42e2969-false-d29205e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="(@nullFlavor or (@unit='/min'))">(herzfrequenz): value MUSS die Einheit '/min' nutzen </assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(herzfrequenz): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.39-2024-08-14T101356.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(herzfrequenz): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
