<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.51
Name: Röntgenthorax angefordert
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Wurde ein Röntgenthorax angefordert?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000">
   <title>Röntgenthorax angefordert</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.51
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]
Item: (rontgenthorax_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]"
         id="d42e3968-false-d31980e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]) &gt;= 1">(rontgenthorax_angefordert): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]) &lt;= 1">(rontgenthorax_angefordert): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.51
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]
Item: (rontgenthorax_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]"
         id="d42e3979-false-d31997e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="string(@classCode) = ('PROC')">(rontgenthorax_angefordert): Der Wert von classCode MUSS 'PROC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="string(@moodCode) = ('RQO')">(rontgenthorax_angefordert): Der Wert von moodCode MUSS 'RQO' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="@negationInd">(rontgenthorax_angefordert): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']) &gt;= 1">(rontgenthorax_angefordert): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']) &lt;= 1">(rontgenthorax_angefordert): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(rontgenthorax_angefordert): Element hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(rontgenthorax_angefordert): Element hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(rontgenthorax_angefordert): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(rontgenthorax_angefordert): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(rontgenthorax_angefordert): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(rontgenthorax_angefordert): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.51
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']
Item: (rontgenthorax_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']"
         id="d42e3991-false-d32056e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(rontgenthorax_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.51')">(rontgenthorax_angefordert): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.51' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.51
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (rontgenthorax_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e3996-false-d32071e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(rontgenthorax_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="@nullFlavor or (@code='415232002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Radiographic procedure of chest (procedure)')">(rontgenthorax_angefordert): Der Elementinhalt MUSS einer von 'code '415232002' codeSystem '2.16.840.1.113883.6.96' displayName='Radiographic procedure of chest (procedure)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.51
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:text
Item: (rontgenthorax_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:text"
         id="d42e4002-false-d32087e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(rontgenthorax_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(rontgenthorax_angefordert): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(rontgenthorax_angefordert): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.51
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:text/hl7:reference
Item: (rontgenthorax_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:text/hl7:reference"
         id="d42e4007-false-d32106e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(rontgenthorax_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.51
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:statusCode[@code = 'completed']
Item: (rontgenthorax_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:statusCode[@code = 'completed']"
         id="d42e4010-false-d32117e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(rontgenthorax_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(rontgenthorax_angefordert): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.51
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:effectiveTime
Item: (rontgenthorax_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]/hl7:effectiveTime"
         id="d42e4015-false-d32133e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(rontgenthorax_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.51-2024-05-24T000000.html"
              test="not(*)">(rontgenthorax_angefordert): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
</pattern>
