<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.53
Name: Röntgen-Becken durchgeführt
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Wurde ein Röntgen-Becken durchgeführt?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000">
   <title>Röntgen-Becken durchgeführt</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.53
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]
Item: (rontgenbecken_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]"
         id="d42e4070-false-d32324e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]) &gt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]) &lt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.53
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]
Item: (rontgenbecken_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]"
         id="d42e4081-false-d32341e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="string(@classCode) = ('PROC')">(rontgenbecken_durchgefuhrt): Der Wert von classCode MUSS 'PROC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(rontgenbecken_durchgefuhrt): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="@negationInd">(rontgenbecken_durchgefuhrt): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']) &gt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']) &lt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '268425006' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:code[(@code = '268425006' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '268425006' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:code[(@code = '268425006' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.53
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']
Item: (rontgenbecken_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']"
         id="d42e4093-false-d32400e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(rontgenbecken_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.53')">(rontgenbecken_durchgefuhrt): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.53' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.53
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:code[(@code = '268425006' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (rontgenbecken_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:code[(@code = '268425006' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e4098-false-d32415e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(rontgenbecken_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="@nullFlavor or (@code='268425006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pelvis X-ray (procedure)')">(rontgenbecken_durchgefuhrt): Der Elementinhalt MUSS einer von 'code '268425006' codeSystem '2.16.840.1.113883.6.96' displayName='Pelvis X-ray (procedure)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.53
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:text
Item: (rontgenbecken_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:text"
         id="d42e4104-false-d32431e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(rontgenbecken_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(rontgenbecken_durchgefuhrt): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.53
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:text/hl7:reference
Item: (rontgenbecken_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:text/hl7:reference"
         id="d42e4109-false-d32450e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(rontgenbecken_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.53
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:statusCode[@code = 'completed']
Item: (rontgenbecken_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:statusCode[@code = 'completed']"
         id="d42e4112-false-d32461e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(rontgenbecken_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(rontgenbecken_durchgefuhrt): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.53
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:effectiveTime
Item: (rontgenbecken_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]/hl7:effectiveTime"
         id="d42e4117-false-d32477e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(rontgenbecken_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.53-2024-05-24T000000.html"
              test="not(*)">(rontgenbecken_durchgefuhrt): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
</pattern>
