<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.54
Name: Röntgen-Wirbelsäule durchgeführt
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Wurde ein Röntgen der Wirbelsäule durchgeführt?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000">
   <title>Röntgen-Wirbelsäule durchgeführt</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.54
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]
Item: (rontgenwirbelsaule_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]"
         id="d42e4121-false-d32496e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]) &gt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]) &lt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.54
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]
Item: (rontgenwirbelsaule_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]"
         id="d42e4132-false-d32513e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="string(@classCode) = ('PROC')">(rontgenwirbelsaule_durchgefuhrt): Der Wert von classCode MUSS 'PROC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(rontgenwirbelsaule_durchgefuhrt): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="@negationInd">(rontgenwirbelsaule_durchgefuhrt): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']) &gt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']) &lt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '79760008' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:code[(@code = '79760008' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '79760008' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:code[(@code = '79760008' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.54
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']
Item: (rontgenwirbelsaule_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']"
         id="d42e4144-false-d32572e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(rontgenwirbelsaule_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.54')">(rontgenwirbelsaule_durchgefuhrt): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.54' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.54
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:code[(@code = '79760008' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (rontgenwirbelsaule_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:code[(@code = '79760008' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e4149-false-d32587e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(rontgenwirbelsaule_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="@nullFlavor or (@code='79760008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Radiography of spine (procedure)')">(rontgenwirbelsaule_durchgefuhrt): Der Elementinhalt MUSS einer von 'code '79760008' codeSystem '2.16.840.1.113883.6.96' displayName='Radiography of spine (procedure)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.54
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:text
Item: (rontgenwirbelsaule_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:text"
         id="d42e4155-false-d32603e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(rontgenwirbelsaule_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(rontgenwirbelsaule_durchgefuhrt): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.54
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:text/hl7:reference
Item: (rontgenwirbelsaule_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:text/hl7:reference"
         id="d42e4160-false-d32622e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(rontgenwirbelsaule_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.54
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:statusCode[@code = 'completed']
Item: (rontgenwirbelsaule_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:statusCode[@code = 'completed']"
         id="d42e4163-false-d32633e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(rontgenwirbelsaule_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(rontgenwirbelsaule_durchgefuhrt): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.54
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:effectiveTime
Item: (rontgenwirbelsaule_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]/hl7:effectiveTime"
         id="d42e4168-false-d32649e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(rontgenwirbelsaule_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.54-2024-05-24T000000.html"
              test="not(*)">(rontgenwirbelsaule_durchgefuhrt): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
</pattern>
