<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.60
Name: CT Extremitäten durchgeführt
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Wurde ein selektives CT der Extremitäten durchgeführt?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000">
   <title>CT Extremitäten durchgeführt</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.60
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]
Item: (ct_extremitaten_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]"
         id="d42e4517-false-d33528e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]) &gt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]) &lt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.60
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]
Item: (ct_extremitaten_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]"
         id="d42e4528-false-d33545e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="string(@classCode) = ('PROC')">(ct_extremitaten_durchgefuhrt): Der Wert von classCode MUSS 'PROC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(ct_extremitaten_durchgefuhrt): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="@negationInd">(ct_extremitaten_durchgefuhrt): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']) &gt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']) &lt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '303681001' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:code[(@code = '303681001' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '303681001' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:code[(@code = '303681001' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.60
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']
Item: (ct_extremitaten_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']"
         id="d42e4540-false-d33604e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ct_extremitaten_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.60')">(ct_extremitaten_durchgefuhrt): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.60' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.60
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:code[(@code = '303681001' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (ct_extremitaten_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:code[(@code = '303681001' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e4545-false-d33619e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(ct_extremitaten_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="@nullFlavor or (@code='303681001' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Computed tomography of limb regions (procedure)')">(ct_extremitaten_durchgefuhrt): Der Elementinhalt MUSS einer von 'code '303681001' codeSystem '2.16.840.1.113883.6.96' displayName='Computed tomography of limb regions (procedure)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.60
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:text
Item: (ct_extremitaten_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:text"
         id="d42e4551-false-d33635e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ct_extremitaten_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(ct_extremitaten_durchgefuhrt): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.60
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:text/hl7:reference
Item: (ct_extremitaten_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:text/hl7:reference"
         id="d42e4556-false-d33654e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ct_extremitaten_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.60
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:statusCode[@code = 'completed']
Item: (ct_extremitaten_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:statusCode[@code = 'completed']"
         id="d42e4559-false-d33665e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(ct_extremitaten_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(ct_extremitaten_durchgefuhrt): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.60
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:effectiveTime
Item: (ct_extremitaten_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]/hl7:effectiveTime"
         id="d42e4564-false-d33681e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(ct_extremitaten_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.60-2024-05-24T000000.html"
              test="not(*)">(ct_extremitaten_durchgefuhrt): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
</pattern>
