<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.69
Name: Abschlussdiagnosen Container
Description: Sammelkontainer für Beschwerden, Symptome, Diagnose, Probleme etc., hier: Abschlussdiagnosen ggf. mit ICD10-Kodes
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658">
   <title>Abschlussdiagnosen Container</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.69
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]
Item: (abschlussdiagnosen-container)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.69
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]
Item: (abschlussdiagnosen-container)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]"
         id="d42e5221-false-d35712e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="string(@classCode) = ('ACT')">(abschlussdiagnosen-container): Der Wert von classCode MUSS 'ACT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="string(@moodCode) = ('EVN')">(abschlussdiagnosen-container): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:entryRelationship[hl7:sequenceNumber/@value='1'])&lt;=1">(abschlussdiagnosen-container): Sequenznummer = 1 (führende Abschlussdiagnose) kann höchstens einmal vergeben werden</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']) &gt;= 1">(abschlussdiagnosen-container): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']) &lt;= 1">(abschlussdiagnosen-container): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &gt;= 1">(abschlussdiagnosen-container): Element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &lt;= 1">(abschlussdiagnosen-container): Element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(abschlussdiagnosen-container): Element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(abschlussdiagnosen-container): Element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:effectiveTime[hl7:low]) &gt;= 1">(abschlussdiagnosen-container): Element hl7:effectiveTime[hl7:low] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(abschlussdiagnosen-container): Element hl7:effectiveTime[hl7:low] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.70']]]) &gt;= 1">(abschlussdiagnosen-container): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.70']]] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.69
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']
Item: (abschlussdiagnosen-container)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']"
         id="d42e5227-false-d35780e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(abschlussdiagnosen-container): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.69')">(abschlussdiagnosen-container): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.69' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.69
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:id
Item: (abschlussdiagnosen-container)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:id"
         id="d42e5232-false-d35794e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(abschlussdiagnosen-container): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.69
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]
Item: (abschlussdiagnosen-container)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]"
         id="d42e5234-false-d35805e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(abschlussdiagnosen-container): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(abschlussdiagnosen-container): Der Elementinhalt MUSS einer von 'code 'CONC' codeSystem '2.16.840.1.113883.5.6'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.69
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (abschlussdiagnosen-container)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d42e5240-false-d35824e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(abschlussdiagnosen-container): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(abschlussdiagnosen-container): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.69
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:effectiveTime[hl7:low]
Item: (abschlussdiagnosen-container)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:effectiveTime[hl7:low]"
         id="d42e5245-false-d35844e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(abschlussdiagnosen-container): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:low) &gt;= 1">(abschlussdiagnosen-container): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:low) &lt;= 1">(abschlussdiagnosen-container): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="count(hl7:high) &lt;= 1">(abschlussdiagnosen-container): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.69
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:effectiveTime[hl7:low]/hl7:low
Item: (abschlussdiagnosen-container)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.69
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (abschlussdiagnosen-container)
-->


   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.69
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.70']]]
Item: (abschlussdiagnosen-container)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.70']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="string(@typeCode) = ('SUBJ')">(abschlussdiagnosen-container): Der Wert von typeCode MUSS 'SUBJ' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.69
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.70']]]/hl7:sequenceNumber
Item: (abschlussdiagnosen-container)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.69']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.70']]]/hl7:sequenceNumber">
      <extends rule="INT.POS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'INT')">(abschlussdiagnosen-container): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.69-2024-08-14T195658.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(abschlussdiagnosen-container): @value ist keine gültige INT Zahl <value-of select="@value"/>
      </assert>
   </rule>
</pattern>
