<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.75
Name: Zeitpunkt Entscheidung zur Verlegung / Entlassung
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Der Zeitpunkt, zu dem die Entscheidung zur stationären Verlegung oder ambulanten Entlassung festgelegt wurden. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000">
   <title>Zeitpunkt Entscheidung zur Verlegung / Entlassung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.75
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]
Item: (zeitpunkt_entscheidung_zur_verlegung__entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]"
         id="d42e6037-false-d37944e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]) &gt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]) &lt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.75
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]
Item: (zeitpunkt_entscheidung_zur_verlegung__entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]"
         id="d42e6048-false-d37961e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']) &gt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']) &lt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-124' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:code[(@code = 'FLN-124' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-124' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:code[(@code = 'FLN-124' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:value) &gt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:value) &lt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.75
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']
Item: (zeitpunkt_entscheidung_zur_verlegung__entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']"
         id="d42e6054-false-d38025e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.75')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.75' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.75
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:code[(@code = 'FLN-124' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (zeitpunkt_entscheidung_zur_verlegung__entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:code[(@code = 'FLN-124' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e6059-false-d38040e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-124' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='Zeitpunkt Entscheidung zur Verlegung / Entlassung')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Der Elementinhalt MUSS einer von 'code 'FLN-124' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='Zeitpunkt Entscheidung zur Verlegung / Entlassung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.75
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:text
Item: (zeitpunkt_entscheidung_zur_verlegung__entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:text"
         id="d42e6064-false-d38056e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.75
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:text/hl7:reference
Item: (zeitpunkt_entscheidung_zur_verlegung__entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:text/hl7:reference"
         id="d42e6069-false-d38075e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.75
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:statusCode[@code = 'completed']
Item: (zeitpunkt_entscheidung_zur_verlegung__entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:statusCode[@code = 'completed']"
         id="d42e6073-false-d38086e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.75
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:effectiveTime
Item: (zeitpunkt_entscheidung_zur_verlegung__entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:effectiveTime"
         id="d42e6078-false-d38102e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="not(*)">(zeitpunkt_entscheidung_zur_verlegung__entlassung): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.75
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:value
Item: (zeitpunkt_entscheidung_zur_verlegung__entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]/hl7:value"
         id="d42e6080-false-d38115e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(zeitpunkt_entscheidung_zur_verlegung__entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241202T134738/tmp-1.2.276.0.76.3.1.195.10.75-2024-05-24T000000.html"
              test="not(*)">(zeitpunkt_entscheidung_zur_verlegung__entlassung): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
</pattern>
